package com.bwie.user.domain.resp;

import com.bwie.user.domain.User;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserLoginResp {
    private Integer userId;
    private String userName;
    private Integer userRole;



    public static UserLoginResp userBuild(User user){
        return UserLoginResp.builder()
                .userId(user.getUserId())
                .userName(user.getUserName())
                .userRole(user.getUserId())
                .build();
    }
}
